Subject: Re: RFD: comp.file-formats

From: [email-masked] (Niles D. Ritter)
Date: Mon, 13 Sep 1993 10:31:38 -0800

In article <[email-masked]>, you wrote:

> Since Sep. 8th I (only?) got 2 answers for the RFD. I tried to integrate
> the opinions stated there.
> 
> There seems not to be a large interest on a newsgroup that could be a
> holder of information that is usually not easy to find
> (or do you find it easy to get the exact specification for eg. RTF ?).
> Of course there will be a FAQ or (better) a file formats specification
> database that can be filled with results of the comp.file-format's discussion.
> 
> Any comments ?
> 
> : R E Q U E S T  F O R  D I S C U S S I O N
> [ RFD deleted ]

Since many of the specific file formats already have either their own
newsgroup or mailing list for in-depth discussion, there doesn't seem
to be a lot of merit to having a group where the discussions would
almost certainly bifurcate into the general classes...

HOWEVER, the idea of having a FAQ consisting of a lot of useful file
format FAQ summaries/pointers, and ftp-archive-for-sourcecode lists
does sound like a very good idea, indeed.

If *you* would like to edit the FAQ (don't look at *me* -- the
alt.comedy.firesgn-thtre FAQ's already eat up too much (all) of my time :-)
Here's a starter outline just to give you an idea of what you're
up against (and this is *just* a starter outline, no answers!)

This outline will also serve as an example for how *unwieldy* a
comp.file-formats group would get!

NB: I fully expect others will start adding on lots of other stuff
(not to mention providing the newsgroup/mailing list/ftp archive
 pointers, preferably in URL format for all those HTML browsers
out there (heh, heh--look 'em up). )

PS: Dont send the answers to Me !!!! I'm not touching this!

--------------------- cut here --------------------------------------

I. Welcome to the File-Formats FAQ!

II. Frequently Asked Questions & Meta-Questions
       0. What does RTFM mean? (rtfm.mit.edu)
       1. Why are there so many formats for <FORMAT TYPE>?
       2. Is format <FORMAT> patented?
       3. Where can I find sexy <FORMAT>s ?
       4. How can I tell if my <FORMAT> file is corrupted?
       5. ...

III. Types of Compression Schemes Used In Many Formats
    A. Lossless
       1. Runlength Encoding
       2. Table-based (Lempel-Ziv*...)
       3. ...

    B. Lossy
       1. Fourier/cosine Transform-based (JPEG, MPEG)
       2. Fractal Comprssion
       3. ...

IV. Formats and How to Get 'Em (archives, newsgroups, etc)

    A. Text Character Formats
       1. Byte-based systems
          a. ASCII
          b. EBCDIC (eeeoooyyyuck!)
          c. Extensions (e.g. Macintosh's extended characters)

       2. Multibyte systems
          a. Chinese 
          b. Japanese 
          c. Korean 
          d. ....

    B. Text File Formats
       1. RFC's & Standards (e-mail, news, ...)
       2. FAQ Formats (automatic archivers)
       3. Hypertext
          a. SGML Markup Languages & URL's
             i. HTML
            ii. ...

    C. Document/Page Description/Interchange Formats & Languages
       1. RTF
       2. TEX & dvi
       3. PostScript
       4. Scribe (remember that one?)
       5. ...

    C. Generic Data Compressors/Converters
       1. Unix Compress/Uncompress (.Z)
       2. GNU Zip (.gz)
       3. (.z)
       4. BinHex (3,4...)
       5. uuencode/uudecode
       6. zip
       7. Encrypted systems
       8. MacBinary
       9. AppleDouble/Applesingle
       8. ...
      
    C. Images (in no particular order)
       1. GIF (Compuserve)
       2. TIFF (Aldus)
       3. PICT (Macintosh)
       4. PIC
       5. VICAR (NASA)
       6. FITS (Astronomical)
       7. NITF (Governmt Standard)
       9. DIF
      10. ODA/ODIF
      11. PCX
      12. ODF
      13. WMF (### is that an image format? never heard of it)
      14. HDF (NCSA)
      15. AVS (AVS System)
      16. ...

    D. Movies
       1. MPEG (1,2,3...)
       2. MOOV (Macintosh)
       3. PAL
       4. ...

    E. Sounds
       1. WAV
       2. VOC
       3. Snd (Macintosh)
       4. ...

    F. ...
V. ...

--------------------- cut here -----------------------------

------------------------------------------------------------------------
            T H E    C A U S E      |
         M   ^------------>    A    |   Niles D. Ritter, Mathematician
         A   |            |    N    |   Jet Propulsion Labs
         I   <------------v    D    |   [email-masked]
           T C E F F E   E H T      |
------------------------------------------------------------------------